Missing dependency on python-setuptools

Bug #1509396 reported by Florian Boucault on 2015-10-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-flake8 (Ubuntu)
High
Matthias Klose

Bug Description

Flake8 uses setuptools in flake8/main.py: import setuptools but the binary packages do not depend on it.
It used to work in many cases because the pep8 package that python-flake8 depends on was depending on setuptools, but not anymore since version 1.6.2-0.1ubuntu1 uploaded to xenial just now. See diff and corresponding bug report:
http://launchpadlibrarian.net/222126620/pep8_1.6.2-0.1_1.6.2-0.1ubuntu1.diff.gz
https://bugs.launchpad.net/ubuntu/+source/pep8/+bug/1414491

Bill Filler (bfiller) on 2015-10-23
Changed in python-flake8 (Ubuntu):
assignee: nobody → Matthias Klose (doko)
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-flake8 - 2.2.2-1ubuntu4

---------------
python-flake8 (2.2.2-1ubuntu4) xenial; urgency=medium

  * Add explicit dependency on setuptools. LP: #1509396.
  * python-flake8: (Build)-Depend on python-pep8 instead of pep8.

 -- Matthias Klose <email address hidden> Fri, 23 Oct 2015 17:42:39 +0200

Changed in python-flake8 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers